Bug 580309 - [abrt] crash in gnome-activity-journal-0.3.3-1.fc13: daywidgets.py:356:<lambda>:AttributeError: 'NoneType' object has no attribute 'set_cursor'
Summary: [abrt] crash in gnome-activity-journal-0.3.3-1.fc13: daywidgets.py:356:<lambd...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-activity-journal
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mads Villadsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0c7729e4
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-07 23:12 UTC by David Le Sage
Modified: 2010-05-31 18:13 UTC (History)
2 users (show)

Fixed In Version: gnome-activity-journal-0.3.4-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-31 18:13:08 UTC


Attachments (Terms of Use)
File: backtrace (586 bytes, text/plain)
2010-04-07 23:12 UTC, David Le Sage
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 561853 None None None Never

Description David Le Sage 2010-04-07 23:12:24 UTC
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: python /usr/share/gnome-activity-journal/gnome-activity-journal
component: gnome-activity-journal
executable: /usr/share/gnome-activity-journal/gnome-activity-journal
kernel: 2.6.33.1-19.fc13.i686.PAE
package: gnome-activity-journal-0.3.3-1.fc13
reason: daywidgets.py:356:<lambda>:AttributeError: 'NoneType' object has no attribute 'set_cursor'
release: Fedora release 13 (Goddard)

backtrace
-----
daywidgets.py:356:<lambda>:AttributeError: 'NoneType' object has no attribute 'set_cursor'

Traceback (most recent call last):
  File "/usr/share/gnome-activity-journal/src/daywidgets.py", line 356, in <lambda>
    evbox.window.set_cursor(gtk.gdk.Cursor(gtk.gdk.HAND2)))
AttributeError: 'NoneType' object has no attribute 'set_cursor'

Local variables in innermost frame:
y: <gtk.gdk.Event at 0xab98980: GDK_MOTION_NOTIFY x=155.00, y=433.00>
x: <DayWidget object at 0xa56625c (src+daywidgets+DayWidget at 0xa5cbf20)>
evbox: <gtk.EventBox object at 0xa70452c (GtkEventBox at 0xad199b0)>

How to reproduce
-----
1. Dragged window.  (Running under GNOME-Shell)

Comment 1 David Le Sage 2010-04-07 23:12:27 UTC
Created attachment 405132 [details]
File: backtrace

Comment 2 David Le Sage 2010-04-11 22:22:51 UTC
Package: gnome-activity-journal-0.3.3-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Launch Activity Journal.  Minimise.
2. Hibernate machine.
3. Bring machine back from Hibernation.
4. Alt-tab to bring up Activity Journal.  It crashes.

Comment 3 Mads Villadsen 2010-04-12 21:45:23 UTC
Reported upstream here: https://bugs.launchpad.net/gnome-activity-journal/+bug/561853

Comment 4 Fedora Update System 2010-05-13 13:00:34 UTC
gnome-activity-journal-0.3.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-activity-journal-0.3.4-1.fc13

Comment 5 Fedora Update System 2010-05-13 19:31:12 UTC
gnome-activity-journal-0.3.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-activity-journal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnome-activity-journal-0.3.4-1.fc13

Comment 6 Michael 2010-05-30 09:42:27 UTC
Package: gnome-activity-journal-0.3.3-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. i only search for a file
2.bugzilla came up
3.

Comment 7 Fedora Update System 2010-05-31 18:12:35 UTC
gnome-activity-journal-0.3.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.